Bug 132870 - Cant reboot with lvm2 in fstab.
Cant reboot with lvm2 in fstab.
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
: 133378 134102 134768 134770 135078 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-09-18 09:55 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 18:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vgscan log (13.37 KB, text/plain)
2004-09-21 19:12 EDT, Nicholas Miell
no flags Details

  None (edit)
Description Dams 2004-09-18 09:55:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Galeon/1.3.17

Description of problem:
Nothing was wrong during the installation (upgrade, in fact) process:
the lvm was mounted, but during the first boot (and others too,
actually) the initscripts failed to active the lvm2 group and mount
failed a bit later.

I had to comment the fstab entry, reboot, activate the group with
"vgchange -a y 1er", and then mount it manually. The logical volumes
are fine after that. 

Version-Release number of selected component: initscripts(0:7.80-1).i386

How reproducible: Always

Steps to Reproduce: 
1. Configure lvm2 things (create a volume group, add physical volumes
and create a logical volume)
2. Add it to your fstab so that it's default-mounted.
3. reboot.

Additional info:
is it duplicate of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120023 ?
Comment 1 Bill Nottingham 2004-09-20 01:37:05 EDT
Does it work with selinux=0?
Comment 2 Nicholas Miell 2004-09-21 03:54:23 EDT
I'm getting the same thing; selinux is disabled.

Note that this is a pre-existing LVM2 volume created before the
upgrade to FC3t2.

vgscan appears to always return failure to the shell, even when it
completes successfully.

Commenting out the
"if /sbin/lvm.static vgscan --mknodes --ignorelockingfailure > /dev/null
2>&1 ; then" and the cooresponding fi results in the system booting
fine, with the LVM volumes properly enabled.

The vgscan man page says "In  LVM2, vgscans take place automatically;
but you might still need to run one explicitly after changing
hardware.", so this seems a valid thing to do.
Comment 3 Jed Smallwood 2004-09-21 08:12:16 EDT
I did a fresh install of FC3t2 and created a new LVM2.  The install
was fine, but just as described above I could not boot because the LVM
partition was not mounted.  I initially had SELinux active but
deactivated it when I attempted to troubleshoot the problem. 
Uncommenting the lines in rc.sysinit solved the problem for me.
Comment 4 Dams 2004-09-21 13:46:09 EDT
Bill : same issue with selinux=0.
Comment 5 Nicholas Miell 2004-09-21 19:12:45 EDT
Created attachment 104098 [details]
vgscan log

This is a log of the output of the vgscan command from rc.sysinit, modified for
maximum verbosity and debug output.
Comment 6 Bill Nottingham 2004-09-22 02:10:26 EDT
Assigning to the lvm tools.
Comment 7 Michael Schwendt 2004-09-22 04:06:57 EDT
Slightly different configuration here: LVM1 from older times. FC3T2
fresh install into non-LVM partition. Booting into it fails to
activate the volume group, because with the --mknodes option, lvm
returns 'false' which in turn causes the if-statement to not execute
the vgchange.

# lvm vgscan --mknodes --ignorelockingfailure && echo "true"
  Reading all physical volumes.  This may take a while...
  Found volume group "VolGrp01" using metadata type lvm1

When I drop the --mknodes option, it returns 'true' and booting suceeds.
Comment 8 Michael Schwendt 2004-09-22 04:10:00 EDT
Booting FC2 succeeds, btw (it does the mknodes thing differently).
Comment 9 Alasdair Kergon 2004-09-22 08:53:18 EDT
vgmknodes is returning an error if it can't delete an LV symlink
because it doesn't exist - will fix
Comment 10 Alasdair Kergon 2004-09-22 18:04:51 EDT
will be in 2.00.25
Comment 11 Bill Nottingham 2004-09-23 15:57:48 EDT
*** Bug 133378 has been marked as a duplicate of this bug. ***
Comment 12 Alasdair Kergon 2004-09-29 12:55:03 EDT
*** Bug 134102 has been marked as a duplicate of this bug. ***
Comment 13 Bill Nottingham 2004-10-06 12:39:46 EDT
*** Bug 134770 has been marked as a duplicate of this bug. ***
Comment 14 Bill Nottingham 2004-10-06 12:39:51 EDT
*** Bug 134768 has been marked as a duplicate of this bug. ***
Comment 15 Bill Nottingham 2004-10-06 12:40:24 EDT
Are users still seeing this with current rawhide packages?
Comment 16 Michael Schwendt 2004-10-06 12:54:56 EDT
Works for me.
Comment 17 Dams 2004-10-08 16:17:06 EDT
<metoo>The volume group has been correctly enabled at boot time.</>
Comment 18 Al Tobey 2004-10-08 16:42:21 EDT
Works for me.
Comment 19 Bill Nottingham 2004-10-08 16:59:41 EDT
*** Bug 135078 has been marked as a duplicate of this bug. ***
Comment 20 Ricardo Veguilla 2004-10-09 12:37:57 EDT
Works for me too.

Note You need to log in before you can comment on or make changes to this bug.